<?php


session_start();


require_once ("../../config/Cado.php");

require_once ("../empresa/cEmpresa.php");

$oEmpresa = new cEmpresa();



require_once ("../venta/cVenta.php");

$oVenta = new cVenta();



require_once("../formatos/formato.php");

require_once("../formatos/numletras.php");

require_once ("../notadebito/cNotadebito.php");
$oNotadebito = new cNotadebito();


	$dtsnotdeb= $oNotadebito->mostrarUno($_POST['notdebid']);
	$dtnc= mysql_fetch_array($dtsnotdeb);
		
	$data['notdeb_numdoc'] = $dtnc['tb_notadebito_numdoc'];
	$data['notdeb_tip']	= '0'.$dtnc['tb_notadebito_tip'];
	$data['notdeb_fec']	= $dtnc['tb_notadebito_fec'];
	$data['notdeb_fecreg']	= $dtnc['tb_notadebito_reg'];
	$data['notdeb_mot']	= $dtnc['tb_notadebito_motivo'];
	$data['notdeb_tot']	= $dtnc['tb_notadebito_tot'];
	$data['notdeb_valnot']	= $dtnc['tb_notadebito_tot']/1.18;
	$data['notdeb_igv']	= $data['notdeb_valnot'] * 0.18;
	$venid	= $dtnc['tb_venta_id'];
			
	mysql_free_result($dtsnotdeb);

	
	//echo '-'.$venid;
	

	$dtsven= $oVenta->mostrarUno_ticket($venid);
	$dtven= mysql_fetch_array($dtsven);
	//VENTA

	$ven_numDoc	=$dtven['numdoc'];

	$ven_docNom=$dtven['tb_documento_nom'];
	$ven_docAbr=$dtven['tb_documento_abr'];

	$ven_punVen=$dtven['tb_puntoventa_nom'];	

	$ven_venNom=$dtven['tb_usuario_nom'].' '.$dtven['tb_usuario_ape'];

	$ven_fecReg=$dtven['tb_venta_reg'];
	$ven_fec=$dtven['tb_venta_fec'];

	$ven_valven=$dtven['tb_venta_valven'];

	$ven_igv=$dtven['tb_venta_igv'];
	$ven_tot=$dtven['tb_venta_tot'];
	$ven_pisNom=$dtven['tb_piso_nom'];
	$ven_moneid = $dtven['moneid'];
	//CLIENTE
	$cliNom=$dtven['tb_cliente_nom'];
	$cliDoc=$dtven['doc'];
	$cliDir=$dtven['dir'];
	$cliId=$dtven['cliid'];
	$empId=$dtven['tb_empresa_id'];
	//IMPRESORA
	$imp_nom 	=$dtven['tb_impresora_nom'];
	$imp_nomloc =$dtven['tb_impresora_nomloc'];
	$imp_ser 	=$dtven['tb_impresora_ser'];
	$imp_url 	=$dtven['tb_impresora_url'];
	$imp_ip 	=$dtven['tb_impresora_ip'];
			

	mysql_free_result($dtsven);




$dts=$oEmpresa->mostrarUno($empId);

$dt = mysql_fetch_array($dts);

	$emp_ruc=$dt['tb_empresa_ruc'];

	$emp_nomcom=$dt['tb_empresa_nomcom'];

	$emp_razsoc=$dt['tb_empresa_razsoc'];

	$emp_dir=$dt['tb_empresa_dir'];

	$emp_dir2=$dt['tb_empresa_dir2'];

	$emp_tel=$dt['tb_empresa_tel'];

	$emp_ema=$dt['tb_empresa_ema'];

	$emp_fir=$dt['tb_empresa_fir'];		

mysql_free_result($dts);


// DATOS A IMPRIMIR


$data['imp_nom'] = $imp_nom;

$data['imp_nomloc'] = $imp_nomloc;

$data['imp_ser'] = $imp_ser;

$data['imp_url'] = $imp_url;

$data['imp_ip']	 = $imp_ip;

$archivo_ticket='notadebito/notadebito_ticket_mat.php';

$data['imp_doc'] = $imp_url.$archivo_ticket;


$data['emp_razsoc'] =htmlspecialchars($emp_razsoc);

$data['emp_nomcom'] =htmlspecialchars($emp_nomcom);

$data['emp_ruc']	=$emp_ruc;

$data['emp_dir1']	=$emp_dir;

$data['emp_dir2']	=$emp_dir2;

$data['emp_tel']	=$emp_tel;

if($ven_docAbr=='F'){
	$tipcom_sunat = "01";
}else if($ven_docAbr=='B'){
	$tipcom_sunat = "03";
}

$cont = strlen($cliDoc);

if($cont==8){
	$tipcom_cli = 01;
}else if($cont==11){
	$tipcom_cli = 06;
}

if($ven_moneid==1){
	$mon_let = 'PEN';	
}else if($ven_moneid==2){
	$mon_let = 'USD';
}

$data['notdeb_tipcom']	= $tipcom_sunat;
$data['tipcom_cli']	=$tipcom_cli;


$data['ven_moneid'] = $ven_moneid;
$data['mon_let'] = $mon_let;

$data['venta_id']	=$_POST['venid'];

$data['ven_reg']	=$ven_fecReg;
$data['ven_fec']	=$ven_fec;

$data['ven_numdoc'] = $ven_numDoc;
$data['ven_docabr'] = $ven_docAbr;
$data['url_gennotdeb'] = '../../docgeneracion/generarnotdeb.php';
$data['cli_nom'] = $cliNom;
$data['cli_numdoc'] = $cliDoc;
$data['cli_dir'] = $cliDir;
$data['cli_id'] = $cliId;

$data['ven_valven'] = $ven_valven; //formato_money($ven_valven);
$data['ven_igv'] = $ven_igv; // formato_money($ven_igv);
$data['ven_tot']	= $ven_tot; // formato_money($ven_tot);
$data['ven_lettot']	= numtoletras($ven_tot);

$data['ven_vennom']	= $ven_venNom;
$data['usu_nom']	= "".$ven_punVen."/C".$ven_pisNom;

//DATOS NOTA DE CREDITO
			


//Detalle de venta



$dtsnotdet=$oNotadebito->mostrar_detalle($_POST['notdebid']);

$num_rows= mysql_num_rows($dtsnotdet);

	while($dt1 = mysql_fetch_array($dtsnotdet))

	{

		$valuni = $dt1["tb_notadebitodetalle_valuni"];	
		$asu = $dt1["tb_notadebitodetalle_asu"];
			
		$data['art'][]= limpiar_string ($asu);
		$data['valuni'][]=$valuni;

	}

	mysql_free_result($dtsnotdet);	




echo json_encode($data);







?>